- name: "Deploy RKE2 cluster"
  hosts: all
  become: yes
  vars:
    rke2_api_ip: "192.168.111.10"
    rke2_ha_mode: false
    rke2_server_taint: false
    rke2_download_kubeconf: true
    #rke2_version: v1.24.4+rke2r1
    rke2_version: v1.24.8+rke2r1
    rke2_cni: cilium
    rke2_disable:
      - "rke2-canal"
      - "rke2-ingress-nginx"
      - "rke2-calico"
    rke2_custom_manifests:
      # https://github.com/jetstack/cert-manager/releases/download/v1.9.0/cert-manager.yaml
      - cert-manager.yaml
      # http://raw.githubusercontent.com/metallb/metallb/v0.13.5/config/manifests/metallb-native.yaml
      - metallb-native.yaml
      - metallb-config.yaml
      #- rke2-cilium-cluster-mesh-certs.yaml
      - rke2-cilium-config.yaml
    rke2_server_options:
      - "node-ip: 192.168.111.10"
      - "node-external-ip: 192.168.111.10"
  tasks:
    - name: "Deploy RKE2"
      include_role:
        name: lablabs.rke2
      when: deploy_rke2 is defined
    - name: "Get rke2 config"
      import_tasks:
        file: tasks/get-rke2-config.yaml
      when: get_rke2_config is defined
    - name: "Deploy cluster services"
      import_tasks:
        file: tasks/deploy-flux-task.yaml
      when: deploy_flux is defined
    - name: "Deploy ironic images"
      import_tasks:
        file: tasks/deploy-ironic-task.yaml
      when: deploy_images is defined
